// Header file listing the routines for the object detector. This
// object is defined very similarly to the one of STOKES.
//
// ANALYZE, version 1.0, Nov 2004


#ifndef detector_h
#define detector_h

using namespace std;


// maximum number of channels for one detector
const int ResMax = 200;


// type definition for a detector
class Screen
{


public:


  // initialize detector by setting all channels to zero
  Screen();

  // add value as Stokes parameter n to channel l
  void AddTo(int n,int l,double value);


  // define the array of channels for I
  double I[ResMax];


  // define the array of channels for Q
  double Q[ResMax];


  // define the array of channels for U
  double U[ResMax];


  // define the array of channels for V
  double V[ResMax];


};


#endif
